(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12474,        420]
NotebookOptionsPosition[     10497,        381]
NotebookOutlinePosition[     10989,        399]
CellTagsIndexPosition[     10946,        396]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Chapter 2, Section 2.6", "Section",ExpressionUUID->"3b57b7e3-0b6e-4ddf-a389-23308c87f197"],

Cell[TextData[{
 "We want to derive a series expansion for Cos[",
 StyleBox["g",
  FontSlant->"Italic"],
 "]=((1\[Dash]",
 StyleBox["r/a",
  FontSlant->"Italic"],
 ")+",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "2"], TraditionalForm]],ExpressionUUID->
  "22eeffd9-e4d5-4c09-90b1-11074f84327b"],
 ")/(",
 StyleBox["e",
  FontSlant->"Italic"],
 "(1\[Dash]",
 StyleBox["r/a",
  FontSlant->"Italic"],
 ")+",
 StyleBox["e",
  FontSlant->"Italic"],
 " and show that it is equal to Cos[",
 StyleBox["M",
  FontSlant->"Italic"],
 "] to order ",
 StyleBox["e",
  FontSlant->"Italic"],
 ".  First we define Cos[",
 StyleBox["g",
  FontSlant->"Italic"],
 "] in terms of ",
 StyleBox["mra", "Input"],
 "=1\[Dash]",
 StyleBox["r/a",
  FontSlant->"Italic"],
 " and ",
 StyleBox["e ",
  FontSlant->"Italic"],
 "(see Eq.(2.103))",
 "."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"6d38f5ac-41c9-4b68-92a6-af5e4f0e62bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cosg", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"mra", "+", 
     RowBox[{"e", "^", "2"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"e", "*", "mra"}], "+", "e"}], ")"}]}]}]], "Input",
 CellLabel->"In[1]:=",ExpressionUUID->"838cec95-4aee-47f1-80bb-5e61b0095978"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["e", "2"], "+", "mra"}], 
  RowBox[{"e", "+", 
   RowBox[{"e", " ", "mra"}]}]]], "Output",
 CellChangeTimes->{
  3.811154748050701*^9, {3.8111548000017233`*^9, 3.8111548158430767`*^9}},
 CellLabel->"Out[1]=",ExpressionUUID->"c56ca952-0eaf-4c94-bb5b-49b30a2b462a"]
}, Open  ]],

Cell[TextData[{
 "Now derive a temporary series expansion for ",
 StyleBox["r/a",
  FontSlant->"Italic"],
 " using Eq.(2.81)."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"05e1c4b4-98c1-44ec-b243-f5c94cb89e46"],

Cell[CellGroupData[{

Cell["\<\
troa = 
Normal[Expand[1+e^2/2-2e*
Series[Sum[(1/s^2)*
D[BesselJ[s, s e],e]Cos[s*M],{s,1,6}],
       {e,0,6}]]]\
\>", "Input",
 CellLabel->"In[2]:=",ExpressionUUID->"ef0bed0f-4c29-448f-a379-c9efd291bbd3"],

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{"e", " ", 
   RowBox[{"Cos", "[", "M", "]"}]}], "+", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"2", " ", "M"}], "]"}]}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["3", "8"], " ", 
   SuperscriptBox["e", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Cos", "[", "M", "]"}], "-", 
     RowBox[{"Cos", "[", 
      RowBox[{"3", " ", "M"}], "]"}]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["e", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "6"]}], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"2", " ", "M"}], "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "6"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"4", " ", "M"}], "]"}]}]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["e", "7"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"7", " ", 
        RowBox[{"Cos", "[", "M", "]"}]}], "18432"]}], "+", 
     FractionBox[
      RowBox[{"567", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"3", " ", "M"}], "]"}]}], "10240"], "-", 
     FractionBox[
      RowBox[{"4375", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"5", " ", "M"}], "]"}]}], "18432"]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["e", "5"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"5", " ", 
       RowBox[{"Cos", "[", "M", "]"}]}], "384"], "-", 
     RowBox[{
      FractionBox["45", "256"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"3", " ", "M"}], "]"}]}], "+", 
     RowBox[{
      FractionBox["125", "768"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"5", " ", "M"}], "]"}]}]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["e", "6"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "32"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"2", " ", "M"}], "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "5"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"4", " ", "M"}], "]"}]}], "+", 
     RowBox[{
      FractionBox["27", "160"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"6", " ", "M"}], "]"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.811154748086349*^9, {3.811154800040351*^9, 3.81115481593233*^9}},
 CellLabel->"Out[2]=",ExpressionUUID->"6ed93cde-34db-4bb5-88c2-9ea83859b686"]
}, Open  ]],

Cell[TextData[{
 "Use this series to derive 1\[Dash]",
 StyleBox["r/a",
  FontSlant->"Italic"],
 " taking terms up to fourth order in ",
 StyleBox["e",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"1e7d2bff-822b-46c5-9305-12c1608f5e72"],

Cell[CellGroupData[{

Cell["\<\
mra = 
1-Collect[Expand[Series[Normal[troa],{e,0,4}]], e]\
\>", "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"00c7b0df-37f3-4f04-9644-521fee9eb6a7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"e", " ", 
   RowBox[{"Cos", "[", "M", "]"}]}], "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"2", " ", "M"}], "]"}]}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["3", "8"], " ", 
   SuperscriptBox["e", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Cos", "[", "M", "]"}], "-", 
     RowBox[{"Cos", "[", 
      RowBox[{"3", " ", "M"}], "]"}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", "3"], " ", 
   SuperscriptBox["e", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "M"}], "]"}], "-", 
     RowBox[{"Cos", "[", 
      RowBox[{"4", " ", "M"}], "]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.811154748090992*^9, {3.811154800045321*^9, 3.8111548159515343`*^9}},
 CellLabel->"Out[3]=",ExpressionUUID->"560a60fa-75be-42c2-95b5-5cfa73f930a9"]
}, Open  ]],

Cell[TextData[{
 "Now look at the expression for Cos[",
 StyleBox["g",
  FontSlant->"Italic"],
 "] ..."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"8be3d530-0f6a-4612-b93e-c600a7e2eaf7"],

Cell[CellGroupData[{

Cell[BoxData["cosg"], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"b4b936de-1d1e-4185-a4ba-6fa3f44ed439"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["e", "2"], "+", 
   RowBox[{"e", " ", 
    RowBox[{"Cos", "[", "M", "]"}]}], "-", 
   RowBox[{
    SuperscriptBox["e", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"2", " ", "M"}], "]"}]}]}], ")"}]}], "-", 
   RowBox[{
    FractionBox["3", "8"], " ", 
    SuperscriptBox["e", "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Cos", "[", "M", "]"}], "-", 
      RowBox[{"Cos", "[", 
       RowBox[{"3", " ", "M"}], "]"}]}], ")"}]}], "-", 
   RowBox[{
    FractionBox["1", "3"], " ", 
    SuperscriptBox["e", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"2", " ", "M"}], "]"}], "-", 
      RowBox[{"Cos", "[", 
       RowBox[{"4", " ", "M"}], "]"}]}], ")"}]}]}], 
  RowBox[{"e", "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"e", " ", 
       RowBox[{"Cos", "[", "M", "]"}]}], "-", 
      RowBox[{
       SuperscriptBox["e", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "M"}], "]"}]}]}], ")"}]}], "-", 
      RowBox[{
       FractionBox["3", "8"], " ", 
       SuperscriptBox["e", "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "M", "]"}], "-", 
         RowBox[{"Cos", "[", 
          RowBox[{"3", " ", "M"}], "]"}]}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox["e", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "M"}], "]"}], "-", 
         RowBox[{"Cos", "[", 
          RowBox[{"4", " ", "M"}], "]"}]}], ")"}]}]}], ")"}]}]}]]], "Output",
 CellChangeTimes->{
  3.811154748109805*^9, {3.8111548000627832`*^9, 3.811154815956407*^9}},
 CellLabel->"Out[4]=",ExpressionUUID->"53f4e8a9-1365-469b-92a2-c628524fcfa7"]
}, Open  ]],

Cell[TextData[{
 "... and expand this as a series in ",
 StyleBox["e",
  FontSlant->"Italic"],
 ".  Note that there are no first order terms and so ",
 StyleBox["g",
  FontSlant->"Italic"],
 "=",
 StyleBox["M",
  FontSlant->"Italic"],
 " to order e."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"4bc069c9-835b-42a1-8132-89acc2b48d17"],

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"TrigReduce", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{"cosg", ",", " ", 
      RowBox[{"{", 
       RowBox[{"e", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellLabel->"In[5]:=",ExpressionUUID->"aed00088-be05-4779-9aa9-60492058650c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cos", "[", "M", "]"}], "-", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox["e", "2"], " ", 
   RowBox[{"Cos", "[", "M", "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox["e", "2"], " ", 
   RowBox[{"Cos", "[", 
    RowBox[{"3", " ", "M"}], "]"}]}]}]], "Output",
 CellChangeTimes->{
  3.8111547481268253`*^9, {3.8111548000674143`*^9, 3.811154815977868*^9}},
 CellLabel->"Out[5]=",ExpressionUUID->"ace539a7-2e5d-4ca2-a989-78eb9db868ba"]
},
CellGrouping->Manual,
WindowSize->{916, 714},
WindowMargins->{{93, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"e7d35484-8a31-42ca-9f24-2ed99a928e99"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 96, 0, 67, "Section",ExpressionUUID->"3b57b7e3-0b6e-4ddf-a389-23308c87f197"],
Cell[657, 22, 949, 43, 72, "Text",ExpressionUUID->"6d38f5ac-41c9-4b68-92a6-af5e4f0e62bb"],
Cell[CellGroupData[{
Cell[1631, 69, 317, 9, 30, "Input",ExpressionUUID->"838cec95-4aee-47f1-80bb-5e61b0095978"],
Cell[1951, 80, 320, 8, 54, "Output",ExpressionUUID->"c56ca952-0eaf-4c94-bb5b-49b30a2b462a"]
}, Open  ]],
Cell[2286, 91, 248, 8, 53, "Text",ExpressionUUID->"05e1c4b4-98c1-44ec-b243-f5c94cb89e46"],
Cell[CellGroupData[{
Cell[2559, 103, 213, 7, 102, "Input",ExpressionUUID->"ef0bed0f-4c29-448f-a379-c9efd291bbd3"],
Cell[2775, 112, 2516, 83, 129, "Output",ExpressionUUID->"6ed93cde-34db-4bb5-88c2-9ea83859b686"]
}, Open  ]],
Cell[5306, 198, 302, 11, 53, "Text",ExpressionUUID->"1e7d2bff-822b-46c5-9305-12c1608f5e72"],
Cell[CellGroupData[{
Cell[5633, 213, 160, 4, 48, "Input",ExpressionUUID->"00c7b0df-37f3-4f04-9644-521fee9eb6a7"],
Cell[5796, 219, 1000, 32, 51, "Output",ExpressionUUID->"560a60fa-75be-42c2-95b5-5cfa73f930a9"]
}, Open  ]],
Cell[6811, 254, 225, 8, 53, "Text",ExpressionUUID->"8be3d530-0f6a-4612-b93e-c600a7e2eaf7"],
Cell[CellGroupData[{
Cell[7061, 266, 108, 1, 30, "Input",ExpressionUUID->"b4b936de-1d1e-4185-a4ba-6fa3f44ed439"],
Cell[7172, 269, 2073, 66, 66, "Output",ExpressionUUID->"53f4e8a9-1365-469b-92a2-c628524fcfa7"]
}, Open  ]],
Cell[9260, 338, 372, 14, 53, "Text",ExpressionUUID->"4bc069c9-835b-42a1-8132-89acc2b48d17"],
Cell[9635, 354, 345, 9, 30, "Input",ExpressionUUID->"aed00088-be05-4779-9aa9-60492058650c"],
Cell[9983, 365, 510, 14, 51, "Output",ExpressionUUID->"ace539a7-2e5d-4ca2-a989-78eb9db868ba"]
}
]
*)

(* End of internal cache information *)

